Subject: Re: strlen on a NULL
From: [email-masked] (Michael Hirmke)

13 May 1998 03:10:15 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Ian,

>If I do a strlen on a NULL pointer I get a coredump.
>I have the same code running on a few *other* Unix machines with
>exhibiting this behaviour.
>OK, so I could tidy it up, but I wondered is this an oversight or the
>correct behaviour?

Don't know, whether it is the correct behaviour :)) at least it is the
expected one: How can you tell the length of a non existing string.
I don't know of any implementation of strlen, which behaves differently.

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".